Subject: Re: bug#11294: [RFC] build: support and require Automake-NG
From: Jim Meyering <[email-masked]>
To: Stefano Lattarini <[email-masked]>
Cc: [email-masked]
Date: Wed, 09 May 2012 13:57:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefano Lattarini wrote:
> Hi Jim, thanks for the feedback.
> On 05/08/2012 09:57 PM, Jim Meyering wrote:
>> Stefano Lattarini wrote:
>>>
>>> So, OK to apply this patch to a new branch in the coreutils official
>>> repository?  Or it's better if I clone the coreutils repo on GitHub
>>> and work there, to have more freedom while experimenting?
>>
>> Hi Stefano,
>>
>> The git commit hooks that we use (e.g., to prohibit pushing merge commits)
>>
> Ugh, why do you do that?

That update/push hook is to avoid accidental same-branch merges.
Eventually I might relax it to allow cross-branch merges, though
probably only with a small, fixed set of branch names.

>> might well slow you down: I presume they'd have to be adjusted to permit
>> merge commits or non-ff messiness) on that new branch.
>> As you suggest, using another repository may be better.
>>
> OK.  Here it is:
>
>   <http://github.com/slattarini/coreutils-am-ng>
>
> If you can confirm that works correctly for you, feel free to close this
> bug report.

Thanks.  Confirmed and done.